%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor    5
%define qtminor    11
%define qtsubminor 2

%define rel 1
%define pre        rc
%define snapshot   0

%define qtversion          %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtnetworkauth   %mklibname qt5networkauth %qtmajor
%define libqtnetworkauth_d %mklibname qt5networkauth -d

%if %snapshot
%define qttarballdir       qtnetworkauth-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir       qtnetworkauth-everywhere-src-%{qtversion}
%endif

Name:           qtnetworkauth5
Version:        5.11.2
Release:        %mkrel 1
Summary:        Qt%{qtmajor} Network Authenticators
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel >= %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Network Authenticators; QtOAuth in particular.

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtNetworkAuth%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtNetworkAuth%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtnetworkauth.qch
%{_qt5_docdir}/qtnetworkauth/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtnetworkauth}
Summary:        Qt%{qtmajor} NetworkAuth Component Library
Group:          System/Libraries

%description -n %{libqtnetworkauth}
Qt%{qtmajor} NetworkAuth Component Library.

Qt Network Authenticators; QtOAuth in particular.

%files -n %{libqtnetworkauth}
%{_qt5_libdir}/libQt5NetworkAuth.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n     %{libqtnetworkauth_d}
Summary:        Devel files needed to build apps based on QtNetworkAuth
Group:          Development/KDE and Qt
Requires:       %{libqtnetworkauth} = %{version}
Provides:       libqt5networkauth-devel = %{version}
Provides:       libqtnetworkauth5-devel = %{version}

%description -n %{libqtnetworkauth_d}
Devel files needed to build apps based on Qt NetworkAuth.

%files -n %{libqtnetworkauth_d}
%{_qt5_includedir}/QtNetworkAuth/
%{_qt5_datadir}/mkspecs/modules/qt_lib_networkauth.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_networkauth_private.pri
%{_qt5_libdir}/cmake/Qt5NetworkAuth/
%{_qt5_libdir}/libQt5NetworkAuth.prl
%{_qt5_libdir}/libQt5NetworkAuth.so
%{_qt5_libdir}/pkgconfig/Qt5NetworkAuth.pc
%{_qt5_examplesdir}/oauth/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtnetworkauth-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Mon Oct 15 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
